unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, APIText;

type
  TForm1 = class(TForm)
    Image1: TImage;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  APIText1: TAPIText; //our component

implementation

{$R *.dfm}

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   APIText1.Free;//free memory
end;

procedure TForm1.FormCreate(Sender: TObject);
var Y: Integer;
    Blue: Integer;
begin
 for Y := 0 to Image1.Height do
    begin
       // Decrease color with Y
       Blue := Round($FF*(Image1.Height-Y)/Image1.Height);
       Image1.Canvas.Pen.Color := RGB(0, 0, Blue);
       Image1.Canvas.MoveTo(0, Y);
       Image1.Canvas.LineTo(Image1.Width, Y);
    end;
 //TAPIText dynamic usage:
  APIText1:= TAPIText.Create(Self);
  APIText1.Parent:=Self;
  With APIText1 do
  begin
    Transp:=true;
    Text:='1 2 3 4 5 6 7 8 9 English  1 2 3 4 5 6 7 8 9';
    Top:=10;
    Left:=10;
    Width:=400;
    Height:=400;
    TextXpos:=20;
    Escapement:=-450;
  end;

end;

end.
